package kotlinx.coroutines.android;

import android.os.Looper;
import h.a.g1;
import h.a.s1.r;
import java.util.List;

/* compiled from: HandlerDispatcher.kt */
public final class AndroidDispatcherFactory implements r {
    @Override // h.a.s1.r
    public g1 createDispatcher(List<? extends r> list) {
        Looper mainLooper = Looper.getMainLooper();
        if (mainLooper != null) {
            return new a(c.m12549(mainLooper, true), null, 2, null);
        }
        throw new IllegalStateException("The main looper is not available");
    }

    @Override // h.a.s1.r
    public int getLoadPriority() {
        return 1073741823;
    }

    @Override // h.a.s1.r
    public String hintOnError() {
        return "For tests Dispatchers.setMain from kotlinx-coroutines-test module can be used";
    }
}
